package com.p3.bewoplaner.page.mvp;

import android.support.annotation.NonNull;

/**
 * Created by imarneanu on 2/9/17.
 */
interface MVPPresenter<T extends MVPView> {
    /**
     * Attach the view to this presenter
     */
    void attachView(@NonNull final T view);

    /**
     * Detach the view from this presenter
     */
    void detachView();

    /**
     * Returns true if the view is attached, false otherwise
     *
     * @return True or false
     */
    boolean isAttached();
}